diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet-apps/model/radvd-interface.h ns-3.44/src/internet-apps/model/radvd-interface.h
--- ns-3.43/src/internet-apps/model/radvd-interface.h	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/internet-apps/model/radvd-interface.h	2025-03-09 16:55:49.379371200 -0700
@@ -20,8 +20,8 @@
 {
 
 /**
- * \ingroup radvd
- * \brief Radvd interface configuration.
+ * @ingroup radvd
+ * @brief Radvd interface configuration.
  */
 class RadvdInterface : public SimpleRefCount<RadvdInterface>
 {
@@ -34,357 +34,357 @@
     typedef std::list<Ptr<RadvdPrefix>>::const_iterator RadvdPrefixListCI;
 
     /**
-     * \brief Constructor.
-     * \param interface interface index
+     * @brief Constructor.
+     * @param interface interface index
      */
     RadvdInterface(uint32_t interface);
 
     /**
-     * \brief Constructor.
-     * \param interface interface index
-     * \param maxRtrAdvInterval maximum RA interval (ms)
-     * \param minRtrAdvInterval minimum RA interval (ms)
+     * @brief Constructor.
+     * @param interface interface index
+     * @param maxRtrAdvInterval maximum RA interval (ms)
+     * @param minRtrAdvInterval minimum RA interval (ms)
      */
     RadvdInterface(uint32_t interface, uint32_t maxRtrAdvInterval, uint32_t minRtrAdvInterval);
 
     /**
-     * \brief Destructor.
+     * @brief Destructor.
      */
     ~RadvdInterface();
 
     /**
-     * \brief Get interface index for this configuration.
-     * \return interface index
+     * @brief Get interface index for this configuration.
+     * @return interface index
      */
     uint32_t GetInterface() const;
 
     /**
-     * \brief Get list of prefixes advertised for this interface.
-     * \return list of IPv6 prefixes
+     * @brief Get list of prefixes advertised for this interface.
+     * @return list of IPv6 prefixes
      */
     RadvdPrefixList GetPrefixes() const;
 
     /**
-     * \brief Add a prefix to advertise on interface.
-     * \param routerPrefix prefix to advertise
+     * @brief Add a prefix to advertise on interface.
+     * @param routerPrefix prefix to advertise
      */
     void AddPrefix(Ptr<RadvdPrefix> routerPrefix);
 
     /**
-     * \brief Is send advert enabled (periodic RA and reply to RS) ?
-     * \return send advert flag
+     * @brief Is send advert enabled (periodic RA and reply to RS) ?
+     * @return send advert flag
      */
     bool IsSendAdvert() const;
 
     /**
-     * \brief Set send advert flag.
-     * \param sendAdvert value
+     * @brief Set send advert flag.
+     * @param sendAdvert value
      */
     void SetSendAdvert(bool sendAdvert);
 
     /**
-     * \brief Get maximum RA interval.
-     * \return RA interval (ms)
+     * @brief Get maximum RA interval.
+     * @return RA interval (ms)
      */
     uint32_t GetMaxRtrAdvInterval() const;
 
     /**
-     * \brief Get maximum RA interval.
-     * \param maxRtrAdvInterval RA interval (ms)
+     * @brief Get maximum RA interval.
+     * @param maxRtrAdvInterval RA interval (ms)
      */
     void SetMaxRtrAdvInterval(uint32_t maxRtrAdvInterval);
 
     /**
-     * \brief Get minimum RA interval
-     * \return RA interval (ms)
+     * @brief Get minimum RA interval
+     * @return RA interval (ms)
      */
     uint32_t GetMinRtrAdvInterval() const;
 
     /**
-     * \brief Get minimum RA interval
-     * \param minRtrAdvInterval RA interval (ms).
+     * @brief Get minimum RA interval
+     * @param minRtrAdvInterval RA interval (ms).
      */
     void SetMinRtrAdvInterval(uint32_t minRtrAdvInterval);
 
     /**
-     * \brief Get minimum delay between RAs.
-     * \return minimum delay (ms)
+     * @brief Get minimum delay between RAs.
+     * @return minimum delay (ms)
      */
     uint32_t GetMinDelayBetweenRAs() const;
 
     /**
-     * \brief Set minimum delay between RAs.
-     * \param minDelayBetweenRAs minimum delay (ms)
+     * @brief Set minimum delay between RAs.
+     * @param minDelayBetweenRAs minimum delay (ms)
      */
     void SetMinDelayBetweenRAs(uint32_t minDelayBetweenRAs);
 
     /**
-     * \brief Is managed flag enabled ?
-     * \return managed flag
+     * @brief Is managed flag enabled ?
+     * @return managed flag
      */
     bool IsManagedFlag() const;
 
     /**
-     * \brief Set managed flag
-     * \param managedFlag value
+     * @brief Set managed flag
+     * @param managedFlag value
      */
     void SetManagedFlag(bool managedFlag);
 
     /**
-     * \brief Is "other config" flag enabled ?
-     * \return other config flag
+     * @brief Is "other config" flag enabled ?
+     * @return other config flag
      */
     bool IsOtherConfigFlag() const;
 
     /**
-     * \brief Set "other config" flag
-     * \param otherConfigFlag value
+     * @brief Set "other config" flag
+     * @param otherConfigFlag value
      */
     void SetOtherConfigFlag(bool otherConfigFlag);
 
     /**
-     * \brief Get link MTU.
-     * \return link MTU
+     * @brief Get link MTU.
+     * @return link MTU
      */
     uint32_t GetLinkMtu() const;
 
     /**
-     * \brief Set link MTU.
-     * \param linkMtu link MTU
+     * @brief Set link MTU.
+     * @param linkMtu link MTU
      */
     void SetLinkMtu(uint32_t linkMtu);
 
     /**
-     * \brief Get reachable time.
-     * \return reachable time
+     * @brief Get reachable time.
+     * @return reachable time
      */
     uint32_t GetReachableTime() const;
 
     /**
-     * \brief Set reachable time.
-     * \param reachableTime reachable time
+     * @brief Set reachable time.
+     * @param reachableTime reachable time
      */
     void SetReachableTime(uint32_t reachableTime);
 
     /**
-     * \brief Get default lifetime.
-     * \return default lifetime
+     * @brief Get default lifetime.
+     * @return default lifetime
      */
     uint32_t GetDefaultLifeTime() const;
 
     /**
-     * \brief Set default lifetime.
-     * \param defaultLifeTime default lifetime
+     * @brief Set default lifetime.
+     * @param defaultLifeTime default lifetime
      */
     void SetDefaultLifeTime(uint32_t defaultLifeTime);
 
     /**
-     * \brief Get retransmission timer.
-     * \return retransmission timer
+     * @brief Get retransmission timer.
+     * @return retransmission timer
      */
     uint32_t GetRetransTimer() const;
 
     /**
-     * \brief Set retransmission timer.
-     * \param retransTimer retransmission timer
+     * @brief Set retransmission timer.
+     * @param retransTimer retransmission timer
      */
     void SetRetransTimer(uint32_t retransTimer);
 
     /**
-     * \brief Get current hop limit.
-     * \return current hop limit for the link
+     * @brief Get current hop limit.
+     * @return current hop limit for the link
      */
     uint8_t GetCurHopLimit() const;
 
     /**
-     * \brief Set current hop limit.
-     * \param curHopLimit current hop limit for the link
+     * @brief Set current hop limit.
+     * @param curHopLimit current hop limit for the link
      */
     void SetCurHopLimit(uint8_t curHopLimit);
 
     /**
-     * \brief Get default preference.
-     * \return default preference
+     * @brief Get default preference.
+     * @return default preference
      */
     uint8_t GetDefaultPreference() const;
 
     /**
-     * \brief Set default preference.
-     * \param defaultPreference default preference
+     * @brief Set default preference.
+     * @param defaultPreference default preference
      */
     void SetDefaultPreference(uint8_t defaultPreference);
 
     /**
-     * \brief Is source LLA option should be included in RA ?
-     * \return true if source address is added in RA, false otherwise
+     * @brief Is source LLA option should be included in RA ?
+     * @return true if source address is added in RA, false otherwise
      */
     bool IsSourceLLAddress() const;
 
     /**
-     * \brief Set flag to add or not LLA to RA.
-     * \param sourceLLAddress value
+     * @brief Set flag to add or not LLA to RA.
+     * @param sourceLLAddress value
      */
     void SetSourceLLAddress(bool sourceLLAddress);
 
     /**
-     * \brief Is "home agent" flag enabled ?
-     * \return "home agent" flag
+     * @brief Is "home agent" flag enabled ?
+     * @return "home agent" flag
      */
     bool IsHomeAgentFlag() const;
 
     /**
-     * \brief Set "home agent" flag.
-     * \param homeAgentFlag value
+     * @brief Set "home agent" flag.
+     * @param homeAgentFlag value
      */
     void SetHomeAgentFlag(bool homeAgentFlag);
 
     /**
-     * \brief Is Home Agent Information option should be included in RA ?
-     * \return true if HA information option is added in RA, false otherwise
+     * @brief Is Home Agent Information option should be included in RA ?
+     * @return true if HA information option is added in RA, false otherwise
      */
     bool IsHomeAgentInfo() const;
 
     /**
-     * \brief Set flag to add or not HA information option to RA.
-     * \param homeAgentFlag value
+     * @brief Set flag to add or not HA information option to RA.
+     * @param homeAgentFlag value
      */
     void SetHomeAgentInfo(bool homeAgentFlag);
 
     /**
-     * \brief Get home agent lifetime.
-     * \return home agent lifetime
+     * @brief Get home agent lifetime.
+     * @return home agent lifetime
      */
     uint32_t GetHomeAgentLifeTime() const;
 
     /**
-     * \brief Set home agent lifetime.
-     * \param homeAgentLifeTime home agent lifetime
+     * @brief Set home agent lifetime.
+     * @param homeAgentLifeTime home agent lifetime
      */
     void SetHomeAgentLifeTime(uint32_t homeAgentLifeTime);
 
     /**
-     * \brief Get home agent preference.
-     * \return home agent preference
+     * @brief Get home agent preference.
+     * @return home agent preference
      */
     uint32_t GetHomeAgentPreference() const;
 
     /**
-     * \brief Set home agent preference.
-     * \param homeAgentPreference home agent preference
+     * @brief Set home agent preference.
+     * @param homeAgentPreference home agent preference
      */
     void SetHomeAgentPreference(uint32_t homeAgentPreference);
 
     /**
-     * \brief Is "mobile router support" flag enabled ?
-     * \return "mobile router support" flag
+     * @brief Is "mobile router support" flag enabled ?
+     * @return "mobile router support" flag
      */
     bool IsMobRtrSupportFlag() const;
 
     /**
-     * \brief Set "mobile router support" flag.
-     * \param mobRtrSupportFlag value
+     * @brief Set "mobile router support" flag.
+     * @param mobRtrSupportFlag value
      */
     void SetMobRtrSupportFlag(bool mobRtrSupportFlag);
 
     /**
-     * \brief Is advertisement interval option should be included in RA ?
-     * \return true if advertisement interval option is added in RA, false otherwise
+     * @brief Is advertisement interval option should be included in RA ?
+     * @return true if advertisement interval option is added in RA, false otherwise
      */
     bool IsIntervalOpt() const;
 
     /**
-     * \brief Set flag to add or not advertisement interval to RA.
-     * \param intervalOpt value
+     * @brief Set flag to add or not advertisement interval to RA.
+     * @param intervalOpt value
      */
     void SetIntervalOpt(bool intervalOpt);
 
     /**
-     * \brief Get the last time a RA has been sent.
-     * \returns the last RA send time
+     * @brief Get the last time a RA has been sent.
+     * @returns the last RA send time
      */
     Time GetLastRaTxTime();
 
     /**
-     * \brief Set the last RA send time. It also decrements the initial Rtr Advertisements counter.
-     * \param now the last RA send time
+     * @brief Set the last RA send time. It also decrements the initial Rtr Advertisements counter.
+     * @param now the last RA send time
      */
     void SetLastRaTxTime(Time now);
 
     /**
-     * \brief Checks if the interface is subject to the initial Rtr Advertisements rule.
-     * \returns true if the initial Rtr Advertisements counter is greater than zero.
+     * @brief Checks if the interface is subject to the initial Rtr Advertisements rule.
+     * @returns true if the initial Rtr Advertisements counter is greater than zero.
      */
     bool IsInitialRtrAdv() const;
 
   private:
     /**
-     * \brief Interface to advertise RA.
+     * @brief Interface to advertise RA.
      */
     uint32_t m_interface;
 
     /**
-     * \brief List of prefixes to advertise.
+     * @brief List of prefixes to advertise.
      */
     RadvdPrefixList m_prefixes;
 
     /**
-     * \brief Flag whether or not router sends periodic RA and respond to RS.
+     * @brief Flag whether or not router sends periodic RA and respond to RS.
      */
     bool m_sendAdvert;
 
     /**
-     * \brief Maximum RA interval in milliseconds.
+     * @brief Maximum RA interval in milliseconds.
      */
     uint32_t m_maxRtrAdvInterval;
 
     /**
-     * \brief Minimum RA interval in milliseconds.
+     * @brief Minimum RA interval in milliseconds.
      */
     uint32_t m_minRtrAdvInterval;
 
     /**
-     * \brief Minimum delay between RA in milliseconds.
+     * @brief Minimum delay between RA in milliseconds.
      */
     uint32_t m_minDelayBetweenRAs;
 
     /**
-     * \brief Managed flag. If true host use the stateful protocol for address autoconfiguration.
+     * @brief Managed flag. If true host use the stateful protocol for address autoconfiguration.
      */
     bool m_managedFlag;
 
     /**
-     * \brief Other configuration flag. If true host use stateful protocol for other (non-address)
+     * @brief Other configuration flag. If true host use stateful protocol for other (non-address)
      * information.
      */
     bool m_otherConfigFlag;
 
     /**
-     * \brief Link MTU to use.
+     * @brief Link MTU to use.
      */
     uint32_t m_linkMtu;
 
     /**
-     * \brief Reachable time in milliseconds.
+     * @brief Reachable time in milliseconds.
      */
     uint32_t m_reachableTime;
 
     /**
-     * \brief Retransmission timer in milliseconds.
+     * @brief Retransmission timer in milliseconds.
      */
     uint32_t m_retransTimer;
 
     /**
-     * \brief Current hop limit (TTL).
+     * @brief Current hop limit (TTL).
      */
     uint32_t m_curHopLimit;
 
     /**
-     * \brief Default life time in seconds.
+     * @brief Default life time in seconds.
      */
     uint32_t m_defaultLifeTime;
 
     /**
-     * \brief Preference associated with default router.
+     * @brief Preference associated with default router.
      * 0 = low
      * 1 = medium
      * 2 = high
@@ -392,48 +392,48 @@
     uint8_t m_defaultPreference;
 
     /**
-     * \brief Flag to add link-layer address in RA.
+     * @brief Flag to add link-layer address in RA.
      */
     bool m_sourceLLAddress;
 
     /**
-     * \brief Flag to add HA (home agent) flag in RA.
+     * @brief Flag to add HA (home agent) flag in RA.
      */
     bool m_homeAgentFlag;
 
     /**
-     * \brief Flag to add Home Agent Information option (Mobile IPv6).
+     * @brief Flag to add Home Agent Information option (Mobile IPv6).
      * Currently not implemented.
      */
     bool m_homeAgentInfo;
 
     /**
-     * \brief Home agent lifetime in seconds. Ignored if home agent info is not set.
+     * @brief Home agent lifetime in seconds. Ignored if home agent info is not set.
      */
     uint32_t m_homeAgentLifeTime;
 
     /**
-     * \brief Home agent preference. Ignored if home agent info is not set.
+     * @brief Home agent preference. Ignored if home agent info is not set.
      */
     uint32_t m_homeAgentPreference;
 
     /**
-     * \brief Flag for HA to signals it supports Mobile Router registrations (NEMO Basic).
+     * @brief Flag for HA to signals it supports Mobile Router registrations (NEMO Basic).
      */
     bool m_mobRtrSupportFlag;
 
     /**
-     * \brief Flag to add Advertisement Interval option in RA.
+     * @brief Flag to add Advertisement Interval option in RA.
      */
     bool m_intervalOpt;
 
     /**
-     * \brief Last RA send time.
+     * @brief Last RA send time.
      */
     Time m_lastSendTime;
 
     /**
-     * \brief Number of fast announcement to do
+     * @brief Number of fast announcement to do
      */
     uint8_t m_initialRtrAdvertisementsLeft;
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet-apps/model/radvd-prefix.cc ns-3.44/src/internet-apps/model/radvd-prefix.cc
--- ns-3.43/src/internet-apps/model/radvd-prefix.cc	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/internet-apps/model/radvd-prefix.cc	2025-03-09 16:55:49.379371200 -0700
@@ -8,7 +8,7 @@
 
 #include "radvd-prefix.h"
 
-#include <ns3/log.h>
+#include "ns3/log.h"
 
 namespace ns3
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet-apps/model/radvd-prefix.h ns-3.44/src/internet-apps/model/radvd-prefix.h
--- ns-3.43/src/internet-apps/model/radvd-prefix.h	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/internet-apps/model/radvd-prefix.h	2025-03-09 16:55:49.379371200 -0700
@@ -18,21 +18,21 @@
 {
 
 /**
- * \ingroup radvd
- * \brief Router prefix for radvd application.
+ * @ingroup radvd
+ * @brief Router prefix for radvd application.
  */
 class RadvdPrefix : public SimpleRefCount<RadvdPrefix>
 {
   public:
     /**
-     * \brief Constructor.
-     * \param network network prefix advertised
-     * \param prefixLength prefix length ( 0 < x <= 128)
-     * \param preferredLifeTime preferred life time in seconds (default 7 days)
-     * \param validLifeTime valid life time in seconds (default 30 days)
-     * \param onLinkFlag on link flag
-     * \param autonomousFlag autonomous link flag
-     * \param routerAddrFlag router address flag (for Mobile IPv6)
+     * @brief Constructor.
+     * @param network network prefix advertised
+     * @param prefixLength prefix length ( 0 < x <= 128)
+     * @param preferredLifeTime preferred life time in seconds (default 7 days)
+     * @param validLifeTime valid life time in seconds (default 30 days)
+     * @param onLinkFlag on link flag
+     * @param autonomousFlag autonomous link flag
+     * @param routerAddrFlag router address flag (for Mobile IPv6)
      */
     RadvdPrefix(Ipv6Address network,
                 uint8_t prefixLength,
@@ -43,127 +43,127 @@
                 bool routerAddrFlag = false);
 
     /**
-     * \brief Destructor.
+     * @brief Destructor.
      */
     ~RadvdPrefix();
 
     /**
-     * \brief Get network prefix.
-     * \return network prefix
+     * @brief Get network prefix.
+     * @return network prefix
      */
     Ipv6Address GetNetwork() const;
 
     /**
-     * \brief Set network prefix.
-     * \param network network prefix
+     * @brief Set network prefix.
+     * @param network network prefix
      */
     void SetNetwork(Ipv6Address network);
 
     /**
-     * \brief Get prefix length.
-     * \return prefix length
+     * @brief Get prefix length.
+     * @return prefix length
      */
     uint8_t GetPrefixLength() const;
 
     /**
-     * \brief Set prefix length.
-     * \param prefixLength prefix length
+     * @brief Set prefix length.
+     * @param prefixLength prefix length
      */
     void SetPrefixLength(uint8_t prefixLength);
 
     /**
-     * \brief Get preferred lifetime.
-     * \return lifetime
+     * @brief Get preferred lifetime.
+     * @return lifetime
      */
     uint32_t GetPreferredLifeTime() const;
 
     /**
-     * \brief Set preferred lifetime.
-     * \param preferredLifeTime lifetime
+     * @brief Set preferred lifetime.
+     * @param preferredLifeTime lifetime
      */
     void SetPreferredLifeTime(uint32_t preferredLifeTime);
 
     /**
-     * \brief Get valid lifetime.
-     * \return lifetime
+     * @brief Get valid lifetime.
+     * @return lifetime
      */
     uint32_t GetValidLifeTime() const;
 
     /**
-     * \brief Set valid lifetime.
-     * \param validLifeTime lifetime
+     * @brief Set valid lifetime.
+     * @param validLifeTime lifetime
      */
     void SetValidLifeTime(uint32_t validLifeTime);
 
     /**
-     * \brief Is on-link flag ?
-     * \return true if on-link is activated, false otherwise
+     * @brief Is on-link flag ?
+     * @return true if on-link is activated, false otherwise
      */
     bool IsOnLinkFlag() const;
 
     /**
-     * \brief Set on-link flag.
-     * \param onLinkFlag value
+     * @brief Set on-link flag.
+     * @param onLinkFlag value
      */
     void SetOnLinkFlag(bool onLinkFlag);
 
     /**
-     * \brief Is autonomous flag ?
-     * \return true if autonomous is activated, false otherwise
+     * @brief Is autonomous flag ?
+     * @return true if autonomous is activated, false otherwise
      */
     bool IsAutonomousFlag() const;
 
     /**
-     * \brief Set autonomous flag.
-     * \param autonomousFlag value
+     * @brief Set autonomous flag.
+     * @param autonomousFlag value
      */
     void SetAutonomousFlag(bool autonomousFlag);
 
     /**
-     * \brief Is router address flag ?
-     * \return true if router address is activated, false otherwise
+     * @brief Is router address flag ?
+     * @return true if router address is activated, false otherwise
      */
     bool IsRouterAddrFlag() const;
 
     /**
-     * \brief Set router address flag.
-     * \param routerAddrFlag value
+     * @brief Set router address flag.
+     * @param routerAddrFlag value
      */
     void SetRouterAddrFlag(bool routerAddrFlag);
 
   private:
     /**
-     * \brief Network prefix.
+     * @brief Network prefix.
      */
     Ipv6Address m_network;
 
     /**
-     * \brief Prefix length.
+     * @brief Prefix length.
      */
     uint8_t m_prefixLength;
 
     /**
-     * \brief Preferred time.
+     * @brief Preferred time.
      */
     uint32_t m_preferredLifeTime;
 
     /**
-     * \brief Valid time.
+     * @brief Valid time.
      */
     uint32_t m_validLifeTime;
 
     /**
-     * \brief On link flag, indicates that this prefix can be used for on-link determination.
+     * @brief On link flag, indicates that this prefix can be used for on-link determination.
      */
     bool m_onLinkFlag;
 
     /**
-     * \brief Autonomous flag, it is used for autonomous address configuration (\RFC{2462}).
+     * @brief Autonomous flag, it is used for autonomous address configuration (\RFC{2462}).
      */
     bool m_autonomousFlag;
 
     /**
-     * \brief Router address flag, indicates that router address is sent instead
+     * @brief Router address flag, indicates that router address is sent instead
      * of network prefix as is required by Mobile IPv6.
      */
     bool m_routerAddrFlag;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet-apps/model/v4traceroute.cc ns-3.44/src/internet-apps/model/v4traceroute.cc
--- ns-3.43/src/internet-apps/model/v4traceroute.cc	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/internet-apps/model/v4traceroute.cc	2025-03-09 16:55:49.379371200 -0700
@@ -85,7 +85,7 @@
 }
 
 V4TraceRoute::V4TraceRoute()
-    : m_interval(Seconds(0)),
+    : m_interval(),
       m_size(56),
       m_socket(nullptr),
       m_seq(0),
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet-apps/model/v4traceroute.h ns-3.44/src/internet-apps/model/v4traceroute.h
--- ns-3.43/src/internet-apps/model/v4traceroute.h	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/internet-apps/model/v4traceroute.h	2025-03-09 16:55:49.379371200 -0700
@@ -24,13 +24,13 @@
 class Socket;
 
 /**
- * \ingroup internet-apps
- * \defgroup v4traceroute V4Traceroute
+ * @ingroup internet-apps
+ * @defgroup v4traceroute V4Traceroute
  */
 
 /**
- * \ingroup v4traceroute
- * \brief Traceroute application sends one ICMP ECHO request with TTL=1,
+ * @ingroup v4traceroute
+ * @brief Traceroute application sends one ICMP ECHO request with TTL=1,
  *        and after receiving an ICMP TIME EXCEED reply, it increases the
  *        TTL and repeat the process to reveal all the intermediate hops to
  *        the destination.
@@ -40,15 +40,15 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     V4TraceRoute();
     ~V4TraceRoute() override;
     /**
-     * \brief Prints the application traced routes into a given OutputStream.
-     * \param stream the output stream
+     * @brief Prints the application traced routes into a given OutputStream.
+     * @param stream the output stream
      */
     void Print(Ptr<OutputStreamWrapper> stream);
 
@@ -60,25 +60,25 @@
     void StopApplication() override;
 
     /**
-     * \brief Return the application ID in the node.
-     * \returns the application id
+     * @brief Return the application ID in the node.
+     * @returns the application id
      */
     uint32_t GetApplicationId() const;
     /**
-     * \brief Receive an ICMP Echo
-     * \param socket the receiving socket
+     * @brief Receive an ICMP Echo
+     * @param socket the receiving socket
      *
      * This function is called by lower layers through a callback.
      */
     void Receive(Ptr<Socket> socket);
 
-    /** \brief Send one (ICMP ECHO) to the destination.*/
+    /** @brief Send one (ICMP ECHO) to the destination.*/
     void Send();
 
-    /** \brief Starts a timer after sending an ICMP ECHO.*/
+    /** @brief Starts a timer after sending an ICMP ECHO.*/
     void StartWaitReplyTimer();
 
-    /** \brief Triggers an action if an ICMP TIME EXCEED have not being received
+    /** @brief Triggers an action if an ICMP TIME EXCEED have not being received
      *         in the time defined by StartWaitReplyTimer.
      */
     void HandleWaitReplyTimeout();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet-apps/test/dhcp-test.cc ns-3.44/src/internet-apps/test/dhcp-test.cc
--- ns-3.43/src/internet-apps/test/dhcp-test.cc	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/internet-apps/test/dhcp-test.cc	2025-03-09 16:55:49.379371200 -0700
@@ -21,15 +21,15 @@
 using namespace ns3;
 
 /**
- * \ingroup dhcp
- * \defgroup dhcp-test DHCP module tests
+ * @ingroup dhcp
+ * @defgroup dhcp-test DHCP module tests
  */
 
 /**
- * \ingroup dhcp-test
- * \ingroup tests
+ * @ingroup dhcp-test
+ * @ingroup tests
  *
- * \brief DHCP basic tests
+ * @brief DHCP basic tests
  */
 class DhcpTestCase : public TestCase
 {
@@ -38,8 +38,8 @@
     ~DhcpTestCase() override;
     /**
      * Triggered by an address lease on a client.
-     * \param context The test name.
-     * \param newAddress The leased address.
+     * @param context The test name.
+     * @param newAddress The leased address.
      */
     void LeaseObtained(std::string context, const Ipv4Address& newAddress);
 
@@ -97,8 +97,8 @@
                                                                       Ipv4Address("172.30.0.10"),
                                                                       Ipv4Address("172.30.0.15"),
                                                                       Ipv4Address("172.30.0.17"));
-    dhcpServerApp.Start(Seconds(0.0));
-    dhcpServerApp.Stop(Seconds(20.0));
+    dhcpServerApp.Start(Seconds(0));
+    dhcpServerApp.Stop(Seconds(20));
 
     DynamicCast<DhcpServer>(dhcpServerApp.Get(0))
         ->AddStaticDhcpEntry(devNet.Get(3)->GetAddress(), Ipv4Address("172.30.0.14"));
@@ -109,8 +109,8 @@
     dhcpClientNetDevs.Add(devNet.Get(3));
 
     ApplicationContainer dhcpClientApps = dhcpHelper.InstallDhcpClient(dhcpClientNetDevs);
-    dhcpClientApps.Start(Seconds(1.0));
-    dhcpClientApps.Stop(Seconds(20.0));
+    dhcpClientApps.Start(Seconds(1));
+    dhcpClientApps.Stop(Seconds(20));
 
     dhcpClientApps.Get(0)->TraceConnect("NewLease",
                                         "0",
@@ -122,7 +122,7 @@
                                         "2",
                                         MakeCallback(&DhcpTestCase::LeaseObtained, this));
 
-    Simulator::Stop(Seconds(21.0));
+    Simulator::Stop(Seconds(21));
 
     Simulator::Run();
 
@@ -145,10 +145,10 @@
 }
 
 /**
- * \ingroup dhcp-test
- * \ingroup tests
+ * @ingroup dhcp-test
+ * @ingroup tests
  *
- * \brief DHCP TestSuite
+ * @brief DHCP TestSuite
  */
 class DhcpTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet-apps/test/ipv6-radvd-test.cc ns-3.44/src/internet-apps/test/ipv6-radvd-test.cc
--- ns-3.43/src/internet-apps/test/ipv6-radvd-test.cc	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/internet-apps/test/ipv6-radvd-test.cc	2025-03-09 16:55:49.379371200 -0700
@@ -21,15 +21,15 @@
 using namespace ns3;
 
 /**
- * \ingroup radvd
- * \defgroup radvd-test radvd tests
+ * @ingroup radvd
+ * @defgroup radvd-test radvd tests
  */
 
 /**
- * \ingroup radvd-test
- * \ingroup tests
+ * @ingroup radvd-test
+ * @ingroup tests
  *
- * \brief radvd basic tests
+ * @brief radvd basic tests
  */
 class RadvdTestCase : public TestCase
 {
@@ -42,10 +42,10 @@
 
     /**
      * Checks the addresses on the selected NetDevices.
-     * \param n0Dev node 0 device
-     * \param r0Dev router device toward node 0
-     * \param r1Dev router device toward node 1
-     * \param n1Dev node 1 device
+     * @param n0Dev node 0 device
+     * @param r0Dev router device toward node 0
+     * @param r1Dev router device toward node 1
+     * @param n1Dev node 1 device
      */
     void CheckAddresses(Ptr<NetDevice> n0Dev,
                         Ptr<NetDevice> r0Dev,
@@ -53,10 +53,10 @@
                         Ptr<NetDevice> n1Dev);
     /**
      * Checks the routing between the selected NetDevices.
-     * \param n0Dev node 0 device
-     * \param r0Dev router device toward node 0
-     * \param r1Dev router device toward node 1
-     * \param n1Dev node 1 device
+     * @param n0Dev node 0 device
+     * @param r0Dev router device toward node 0
+     * @param r1Dev router device toward node 1
+     * @param n1Dev node 1 device
      */
     void CheckRouting(Ptr<NetDevice> n0Dev,
                       Ptr<NetDevice> r0Dev,
@@ -207,8 +207,8 @@
     radvdHelper.GetRadvdInterface(iic2.GetInterfaceIndex(1))->SetSendAdvert(false);
 
     ApplicationContainer radvdApps = radvdHelper.Install(r);
-    radvdApps.Start(Seconds(1.0));
-    radvdApps.Stop(Seconds(10.0));
+    radvdApps.Start(Seconds(1));
+    radvdApps.Stop(Seconds(10));
 
     Simulator::Schedule(Seconds(2),
                         &RadvdTestCase::CheckAddresses,
@@ -225,7 +225,7 @@
                         d2.Get(0),
                         d2.Get(1));
 
-    Simulator::Stop(Seconds(10.0));
+    Simulator::Stop(Seconds(10));
 
     Simulator::Run();
 
@@ -286,10 +286,10 @@
 }
 
 /**
- * \ingroup radvd-test
- * \ingroup tests
+ * @ingroup radvd-test
+ * @ingroup tests
  *
- * \brief radvd TestSuite
+ * @brief radvd TestSuite
  */
 class RadvdTestSuite : public TestSuite
 {
